[mythtv] ttvdb new dependencies -- Was: [mythtv-commits] mythtv branch fixes/0.28 updated by pbennett. v0.28.1-49-g172459d

Stuart Auchterlonie stuarta at squashedfrog.net
Mon Oct 30 11:04:00 UTC 2017


On 29/10/17 23:50, Craig Treleaven wrote:
> Hi:
> 
> Not sure how linux distributions are packaged, but this change added a dependency on some additional python modules, at least in a Python 2.7 environment.  The new modules are:
> 
> future
> requests-cache (which then requires 4 other python modules)
> 
> I thought it was frowned on to add new dependencies to a fixes branch?  Anyway, this tripped up a MacPorts user for a little while.  Fixed now.
> 

It is normally avoided to add dependencies within the stable release
stream, however in this case the existing code would cease to work
(since the API was being turned off), so it was appropriate to add
them.

The only requirement we insisted on was that the minimum version
requirements was no newer than that in the latest ubuntu lts
release (which is most of our users)


Regards
Stuart



More information about the mythtv-dev mailing list